### Method

# Gimp Image merge_down

#### Declaration [src]

    GimpLayer*
    gimp_image_merge_down (
      GimpImage* image,
      GimpLayer* merge_layer,
      GimpMergeType merge_type
    )

#### Description [src]

Merge the layer passed and the first visible layer below.

This procedure combines the passed layer and the first visible layer below it using the specified merge type. A merge type of `GIMP_EXPAND_AS_NECESSARY` expands the final layer to encompass the areas of the visible layers. A merge type of `GIMP_CLIP_TO_IMAGE` clips the final layer to the extents of the image. A merge type of `GIMP_CLIP_TO_BOTTOM_LAYER` clips the final layer to the size of the bottommost layer.

#### Parameters

`merge_layer`

  Type: `GimpLayer`

  The layer to merge down from.

  The data is owned by the caller of the method.

`merge_type`

  Type: `GimpMergeType`

  The type of merge.

#### Return value

Type: `GimpLayer`

The resulting layer.

The returned data is owned by the instance.